## org.metaabm.commands
Class AddSpacesActsCommand

    java.lang.Object
      org.eclipse.emf.common.command.AbstractCommand
          org.eclipse.emf.edit.command.AbstractOverrideableCommand
              org.metaabm.commands.AddSpacesActsCommand

All Implemented Interfaces:
  org.eclipse.emf.common.command.Command, org.eclipse.emf.edit.command.OverrideableCommand

    public class AddSpacesActsCommand

extends org.eclipse.emf.edit.command.AbstractOverrideableCommand

Creates acts on agent creation.

Author:
  milesparker

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.command.AbstractCommand
`org.eclipse.emf.common.command.AbstractCommand.NonDirtying`

Constructor Summary
`AddSpacesActsCommand(org.eclipse.emf.edit.domain.EditingDomain domain, org.metaabm.SContext parent, java.util.Collection<?> spaces)`

Method Summary
`boolean` `doCanExecute()`
`void` `doExecute()`
`java.util.Collection<?>` `doGetAffectedObjects()`
`void` `doRedo()`
`void` `doUndo()`
`static org.metaabm.act.ABuildProjection` `findBuilderOf(org.metaabm.SContext context, org.metaabm.SProjection proj)`

Methods inherited from class org.eclipse.emf.edit.command.AbstractOverrideableCommand
`canExecute, canUndo, dispose, doCanUndo, doDispose, doGetChildrenToCopy, doGetDescription, doGetLabel, doGetResult, execute, getAffectedObjects, getChildrenToCopy, getDescription, getDomain, getLabel, getOverride, getOwnerList, getResult, redo, setOverride, toString, undo`

Methods inherited from class org.eclipse.emf.common.command.AbstractCommand
`chain, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.command.Command
`chain`

Constructor Detail

### AddSpacesActsCommand

    public AddSpacesActsCommand(org.eclipse.emf.edit.domain.EditingDomain domain,
                                org.metaabm.SContext parent,
                                java.util.Collection<?> spaces)

Method Detail

### doGetAffectedObjects

    public java.util.Collection<?> doGetAffectedObjects()

  Specified by:
    `doGetAffectedObjects` in interface `org.eclipse.emf.edit.command.OverrideableCommand`
  Overrides:
    `doGetAffectedObjects` in class `org.eclipse.emf.edit.command.AbstractOverrideableCommand`

### doCanExecute

    public boolean doCanExecute()

  Specified by:
    `doCanExecute` in interface `org.eclipse.emf.edit.command.OverrideableCommand`
  Overrides:
    `doCanExecute` in class `org.eclipse.emf.edit.command.AbstractOverrideableCommand`

### findBuilderOf

    public static org.metaabm.act.ABuildProjection findBuilderOf(org.metaabm.SContext context,
                                                                 org.metaabm.SProjection proj)

### doExecute

    public void doExecute()

  Specified by:
    `doExecute` in interface `org.eclipse.emf.edit.command.OverrideableCommand`
  Specified by:
    `doExecute` in class `org.eclipse.emf.edit.command.AbstractOverrideableCommand`

### doRedo

    public void doRedo()

  Specified by:
    `doRedo` in interface `org.eclipse.emf.edit.command.OverrideableCommand`
  Specified by:
    `doRedo` in class `org.eclipse.emf.edit.command.AbstractOverrideableCommand`

### doUndo

    public void doUndo()

  Specified by:
    `doUndo` in interface `org.eclipse.emf.edit.command.OverrideableCommand`
  Specified by:
    `doUndo` in class `org.eclipse.emf.edit.command.AbstractOverrideableCommand`